rh-redis5-redis.service gets avc denial, causing installer to fail
Difficulty: Fixed in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/580

Description
in some circumstances, after running “foreman-installer --scenario foreman’, the installation fails due to

[ERROR 2020-09-21T14:38:21 main] Systemd start for rh-redis5-redis failed!

causing further dependency failures

the issue is caused by an avc denial accessing /var/log/redis/redis.log

type=AVC msg=audit(1600695273.006:18591): avc: denied { open} for pid=1071 comm="redis-server"
path="/var/log/redis/redis.log" dev="vda1" ino=68225706 scontext=system_u:system_r:redis_t:s0
tcontext=system_u:object_r:var_log_t:s0 tclass=file permissive=1

and the issue does not exist with selinux in permissive or disabled.
https://tickets.puppetlabs.com/browse/PUP-10548 is a known puppetlabs issue...

https://github.com/theforeman/foreman-installer/blob/71{60592{33a3056f52791a86876b9ae3ce9235f/hooks/pre/32-install_selinux_pa
ckages.rb should work around it but at least in some circumstances does not

History

#1 - 09/21/2020 03:20 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/580 added

#2 - 08/03/2023 08:44 PM - Eric Helms
- Status changed from Ready For Testing to Closed

05/21/2024 1/1



https://tickets.puppetlabs.com/browse/PUP-10548
https://github.com/theforeman/foreman-installer/blob/71f60592f33a3056f52791a86876b9ae3ce9235f/hooks/pre/32-install_selinux_packages.rb
https://github.com/theforeman/foreman-installer/blob/71f60592f33a3056f52791a86876b9ae3ce9235f/hooks/pre/32-install_selinux_packages.rb
http://www.tcpdf.org

